import Posten from "../../data/Posten.ts";
import {StyleSheet, Page, View, Text} from "@react-pdf/renderer";

const styles = StyleSheet.create({
    page: {
        flexDirection: 'column',
        backgroundColor: '#ffffff',
        paddingLeft: '2cm',
        paddingRight: '2cm',
        paddingTop: '1.5cm',
        paddingBottom: '1.5cm',
        fontFamily: 'Helvetica',
        fontSize: 11,
    },
    section: {},
    h1: {
        fontSize: 24,
        marginBottom: 10,
    },
    postenGroup: {
        marginBottom: 10,
    },
    posten: {
        marginBottom: 2,
    },
});

const Verzeichnis = ({posten}: { posten: Posten[] }) => {
    let index = 1;
    const verzeichnisList = posten.map((posten) => {
        if (posten.getZahlungsart() === "Bar") {
            return (
                <View style={styles.postenGroup}>
                    <Text style={styles.posten}>{index++}. Originalrechnung für Posten Nr. {posten.getNummer()}</Text>
                </View>
            )
        } else if (posten.getZahlungsart() === "PayPal") {
            return (
                <View style={styles.postenGroup}>
                    <Text style={styles.posten}>{index++}. Originalrechnung für Posten Nr. {posten.getNummer()}</Text>
                    <Text style={styles.posten}>{index++}. PayPal Beleg für Posten Nr. {posten.getNummer()}</Text>
                    <Text style={styles.posten}>{index++}. Bankauszug für Posten Nr. {posten.getNummer()}</Text>
                </View>
            )
        } else {
            return (
                <View style={styles.postenGroup}>
                    <Text style={styles.posten}>{index++}. Originalrechnung für Posten Nr. {posten.getNummer()}</Text>
                    <Text style={styles.posten}>{index++}. Bankauszug für Posten Nr. {posten.getNummer()}</Text>
                </View>
            )
        }
    });

    return (
        <Page size="A4" wrap={true} style={styles.page}>
            <View style={styles.section}>
                <Text style={styles.h1}>Inhaltsverzeichnis der Anhänge</Text>
                <View style={styles.section}>
                    {verzeichnisList}
                </View>
            </View>
        </Page>
    );
}

export default Verzeichnis;